Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model
Class HistoryValueSetter

    java.lang.Object
      org.ascape.util.ValueSetter
          org.ascape.model.HistoryValueSetter

All Implemented Interfaces:
  DataPoint, HasName

    public abstract class HistoryValueSetter

extends ValueSetter

A data point that serves as a setter for a historical value. The history calue setter stores a history of values from a defined period to a defined period.

Since:
  1.0.3
Version:
  1.0
Author:
  Miles Parker

Constructor Summary
`HistoryValueSetter()`

Method Summary
`double` | `getValue(java.lang.Object object)` Returns the value of a given data point from a given object.
`double` | `getValueFor(int period)`
`void` | `setInitialPeriods(int size)`
`void` | `setPeriodRange(int periodBegin, int periodEnd)`
`void` | `setValueFor(int period, double value)`

Methods inherited from class org.ascape.util.ValueSetter
`setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ascape.util.data.DataPoint
`getName`

Constructor Detail

### HistoryValueSetter

    public HistoryValueSetter()

Method Detail

### setPeriodRange

    public void setPeriodRange(int periodBegin,
                               int periodEnd)

### setInitialPeriods

    public void setInitialPeriods(int size)

### getValueFor

    public double getValueFor(int period)

### setValueFor

    public void setValueFor(int period,
                            double value)

### getValue

    public double getValue(java.lang.Object object)

  Description copied from interface: `DataPoint`
  Returns the value of a given data point from a given object.

  Parameters:
    `object` - the object to extract the value from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD